<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.MSalaryEstimateMapper">

  <resultMap id="mSalaryEstimateMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.MSalaryEstimate">
    <id property="id" column="ID"/>
    <result property="salaryId" column="SALARY_ID"/>
    <result property="estimateId" column="ESTIMATE_ID"/>
    <result property="isSocial" column="IS_SOCIAL"/>
    <result property="isNoSalary" column="IS_NO_SALARY"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.SALARY_ID,
                a.ESTIMATE_ID,
                a.IS_SOCIAL,
                a.IS_NO_SALARY
    </sql>
    <sql id="mSalaryEstimate_where">
        <if test="mSalaryEstimate != null">
                    <if test="mSalaryEstimate.id != null and mSalaryEstimate.id.trim() != ''">
                        AND a.ID = #{mSalaryEstimate.id}
                    </if>
                    <if test="mSalaryEstimate.salaryId != null and mSalaryEstimate.salaryId.trim() != ''">
                        AND a.SALARY_ID = #{mSalaryEstimate.salaryId}
                    </if>
                    <if test="mSalaryEstimate.estimateId != null and mSalaryEstimate.estimateId.trim() != ''">
                        AND a.ESTIMATE_ID = #{mSalaryEstimate.estimateId}
                    </if>
                    <if test="mSalaryEstimate.isSocial != null">
                        AND a.IS_SOCIAL = #{mSalaryEstimate.isSocial}
                    </if>
                    <if test="mSalaryEstimate.isNoSalary != null">
                        AND a.IS_NO_SALARY = #{mSalaryEstimate.isNoSalary}
                    </if>
        </if>
    </sql>
    <!--mSalaryEstimate简单分页查询-->
    <select id="getMSalaryEstimatePage" resultMap="mSalaryEstimateMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM m_salary_estimate a
        <where>
            1=1
            <include refid="mSalaryEstimate_where"/>
        </where>
    </select>
</mapper>
